
package org.tempuri;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "sms", targetNamespace = "http://tempuri.org/", wsdlLocation = "http://sms1000.ir/webservice/sms.asmx?WSDL")
public class Sms
    extends Service
{

    private final static URL SMS_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(org.tempuri.Sms.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = org.tempuri.Sms.class.getResource(".");
            url = new URL(baseUrl, "http://sms1000.ir/webservice/sms.asmx?WSDL");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'http://sms1000.ir/webservice/sms.asmx?WSDL', retrying as a local file");
            logger.warning(e.getMessage());
        }
        SMS_WSDL_LOCATION = url;
    }

    public Sms(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public Sms() {
        super(SMS_WSDL_LOCATION, new QName("http://tempuri.org/", "sms"));
    }

    /**
     * 
     * @return
     *     returns SmsSoap
     */
    @WebEndpoint(name = "smsSoap")
    public SmsSoap getSmsSoap() {
        return super.getPort(new QName("http://tempuri.org/", "smsSoap"), SmsSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SmsSoap
     */
    @WebEndpoint(name = "smsSoap")
    public SmsSoap getSmsSoap(WebServiceFeature... features) {
        return super.getPort(new QName("http://tempuri.org/", "smsSoap"), SmsSoap.class, features);
    }

}
